/* ========================================
   カスタム追加スタイル
   サイト固有・更新可能な実装

   このファイルのみ自由に編集可能
   他のファイル（core-adjustments, layout, block-styles, components）は固定
======================================== */
:target {
   scroll-margin-top: 120px;
}

@media (max-width: 800px) {
   :target {
      scroll-margin-top: 0px;
   }
}

/* 見出しスタイル */
.is-style-title-h2 {
   margin-bottom: 50px !important;
}

.is-style-title-h3 {
   margin-bottom: 30px !important;
}

.is-style-title-h4 {
   margin-bottom: 15px !important;
}

@media (max-width: 800px) {
   .is-style-title-h2 {
      margin-bottom: 30px !important;
   }

   .is-style-title-h3 {
      margin-bottom: 20px !important;
   }

}

/*スライダーによるスクロール発生回避*/
.u-contents {
   overflow: hidden;
}

/* 画像垂直中央寄せ　TELアイコンがずれるため */
.wp-block-image img {
   vertical-align: middle;
}

/*PC時もshortにマージン追加*/
.is-style-short+.is-style-short {
   margin-top: 50px;
}

/*「メディアとテキスト」の画像に角丸を追加*/
.wp-block-media-text__media img {
   border-radius: 15px;
}

/* 電話番号のスタイルをヘッダーと合わせる */
.is-style-tel-number {
   font-family: var(--font_en);
}

.is-style-single-tel-number {
   font-weight: bold;
}

/*ボックス背景色がprimaryの時、ボタンとリストアイコンを白にする*/
.has-primary-background-color ul.wp-block-list:not(.is-style-checklist) li:before {
   background-color: #fff;
}

.has-primary-background-color .wp-block-button .wp-block-button__link,
.has-primary-background-color .wp-block-button .wp-element-button {
   background-color: var(--wp--preset--color--primary-text);
   color: var(--wp--preset--color--primary);
   transition: 0.3s;
}

.has-primary-background-color .wp-block-button .wp-block-button__link:focus-visible,
.has-primary-background-color .wp-block-button .wp-element-button:focus-visible {
   background-color: var(--wp--preset--color--primary-text) !important;
   color: var(--wp--preset--color--primary) !important;
}

@media (any-hover:hover) {

   .has-primary-background-color .wp-block-button .wp-block-button__link:hover,
   .has-primary-background-color .wp-block-button .wp-element-button:hover {
      background-color: var(--wp--preset--color--primary-text) !important;
      opacity: 0.7;
   }
}

/*アンカーリンク 、カレンダーリスト　折り返し指定時につくマージンを削除*/
.entry-content .anchor-link-block p {
   margin-block-start: 0;
}

.entry-content .business-calendar-box+.wp-block-group-is-layout-flex p {
   margin-block-start: 0;
}


/* 情報セット デフォルトブロックのflexに上書きされるのを回避。SP縦並び*/
.info-set1 {
   display: grid !important;
   grid-template-columns: 25% 75%;
}

@media (max-width: 800px) {
   .info-set1 {
      grid-template-columns: 1fr;
   }
}

/*SP時、全幅ブロックの左右paddingを5%に*/
/* @media (max-width: 800px) {
   .entry-content>.alignfull:not(:has(.delta-gallery-slider-with-text)) {
      padding-left: 5%;
      padding-right: 5%;
   }
} */

/*アコーディオン周り微修正*/
/*フォントをfaqと統一 デフォルトの三角削除*/
.wp-block-details summary {
   font-family: var(--font_jp);
   list-style: none;
}

.wp-block-details summary::-webkit-details-marker {
   display: none;
}

/*アコーディオンの+マークのずれ修正
FAQのみposition:relativeがsummaryについており、+マークの基準がずれるためstaticに変更
開閉時+マークごと移動するため50%ではなくQと同じ位置で固定に。
回り込み解除の為flexを追加。
*/
.wp-block-details.is-style-faq summary {
   display: flex;
   position: static;
}

.wp-block-details.is-style-faq summary::before {
   line-height: 1.3;
}

.wp-block-details .faq-open-ico {
   top: 15px;
   transform: none;
}

/*スタッフ紹介　名前のマージンを削除*/
.entry-content .staff-name p+p {
   margin-block-start: 0;
}


/*電話番号レイアウトのタイトルをWEBフォントに変更*/
.is-style-tel-layout .l-ttl {
   font-family: var(--font_jp);
}
